// Third party imports
import { validatePerson, validateVcard } from 'cic-schemas-data-validator';

/**
 * Validates a person object against the defined Person schema.
 *
 * @param person - A person object to be validated.
 */
async function personValidation(person: any): Promise<void> {
  const personValidationErrors: any = await validatePerson(person);

  if (personValidationErrors) {
    personValidationErrors.map(error => console.error(`${error.message}`));
  }
}

/**
 * Validates a vcard object against the defined Vcard schema.
 *
 * @param vcard - A vcard object to be validated.
 */
async function vcardValidation(vcard: any): Promise<void> {
  const vcardValidationErrors: any = await validateVcard(vcard);

  if (vcardValidationErrors) {
    vcardValidationErrors.map(error => console.error(`${error.message}`));
  }
}

/** @exports */
export {
  personValidation,
  vcardValidation,
};
